summaryrefslogtreecommitdiffstats
path: root/audio/bristol
diff options
context:
space:
mode:
Diffstat (limited to 'audio/bristol')
-rw-r--r--audio/bristol/README3
-rw-r--r--audio/bristol/bristol.SlackBuild82
-rw-r--r--audio/bristol/bristol.info10
-rw-r--r--audio/bristol/doinst.sh13
-rw-r--r--audio/bristol/slack-desc19
5 files changed, 127 insertions, 0 deletions
diff --git a/audio/bristol/README b/audio/bristol/README
new file mode 100644
index 0000000000..28804e9b88
--- /dev/null
+++ b/audio/bristol/README
@@ -0,0 +1,3 @@
+Bristol is synth emulation package for a diverse range of vintage
+synthesisers, electric pianos and organs. The application consists of
+a multithreaded audio synthesizer and a user interface called brighton.
diff --git a/audio/bristol/bristol.SlackBuild b/audio/bristol/bristol.SlackBuild
new file mode 100644
index 0000000000..80f3db3e7b
--- /dev/null
+++ b/audio/bristol/bristol.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for bristol
+
+# Written by Zbigniew Baniewski, zb@ispid.com.pl
+
+PRGNAM=bristol
+VERSION=0.60.7
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}-${VERSION}.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING COPYING.GPL NEWS README ChangeLog \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/bristol/bristol.info b/audio/bristol/bristol.info
new file mode 100644
index 0000000000..b5f75b56cb
--- /dev/null
+++ b/audio/bristol/bristol.info
@@ -0,0 +1,10 @@
+PRGNAM="bristol"
+VERSION="0.60.7"
+HOMEPAGE="http://bristol.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/bristol/bristol-0.60.7.tar.gz"
+MD5SUM="21c3fa8ebe9ba4bab3704b91a70ed7cb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Zbigniew Baniewski"
+EMAIL="zb@ispid.com.pl"
+APPROVED="Niels Horn"
diff --git a/audio/bristol/doinst.sh b/audio/bristol/doinst.sh
new file mode 100644
index 0000000000..19a6ff6ac8
--- /dev/null
+++ b/audio/bristol/doinst.sh
@@ -0,0 +1,13 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
diff --git a/audio/bristol/slack-desc b/audio/bristol/slack-desc
new file mode 100644
index 0000000000..b38a8d8bdd
--- /dev/null
+++ b/audio/bristol/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+bristol: bristol (Synthesiser Emulations on Linux)
+bristol:
+bristol: Bristol is synth emulation package for a diverse range of vintage
+bristol: synthesisers, electric pianos and organs. The application consists of
+bristol: a multithreaded audio synthesizer and a user interface called
+bristol: brighton.
+bristol:
+bristol: Homepage: http://bristol.sourceforge.net/
+bristol:
+bristol:
+bristol: